Package org.jcsp.net.settings

# Interface Req

All Known Implementing Classes:
  `ConnectionOriented`, `MaxPing`, `MinMemory`, `MinSpeed`, `Reliable`, `ReqProtocol`, `Wireless`

public interface Req
A system requirement.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getBooleanValue()`
`String`
`getComparator()`
`double`
`getDoubleValue()`
`int`
`getIntValue()`
`String`
`getName()`
`String`
`getStringValue()`
`Class`
`getType()`

## Method Details

### getName

String getName()

### getType

Class getType()

### getComparator

String getComparator()

### getIntValue

int getIntValue()

### getDoubleValue

double getDoubleValue()

### getBooleanValue

boolean getBooleanValue()

### getStringValue

String getStringValue()